## Update SSO metadata configuration

### cURL

```bash
curl --request PATCH \
  --url https://flows.super.ai/api/sso \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "attribute_mapping": {},
  "domains": [
    "<string>"
  ],
  "is_active": true,
  "metadata_url": "<string>",
  "metadata_xml": "<string>"
}
'
```

### Python

```python
import requests

url = "https://flows.super.ai/api/sso"

payload = {
    "attribute_mapping": {},
    "domains": ["<string>"],
    "is_active": True,
    "metadata_url": "<string>",
    "metadata_xml": "<string>"
}
headers = {
    "X-API-Key": "<api-key>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {
  method: 'PATCH',
  headers: {
    'X-API-Key': '<api-key>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    attribute_mapping: {},
    domains: ['<string>'],
    is_active: true,
    metadata_url: '<string>',
    metadata_xml: '<string>'
  })
};

fetch('https://flows.super.ai/api/sso', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://flows.super.ai/api/sso",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PATCH",
  CURLOPT_POSTFIELDS => json_encode([
    'attribute_mapping' => [],
    'domains' => [
        '<string>'
    ],
    'is_active' => true,
    'metadata_url' => '<string>',
    'metadata_xml' => '<string>'
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json",
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://flows.super.ai/api/sso"

payload := strings.NewReader("{\n  \"attribute_mapping\": {},\n  \"domains\": [\n    \"<string>\"\n  ],\n  \"is_active\": true,\n  \"metadata_url\": \"<string>\",\n  \"metadata_xml\": \"<string>\"\n}")

req, _ := http.NewRequest("PATCH", url, payload)

req.Header.Add("X-API-Key", "<api-key>")
	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Java

```java
HttpResponse<String> response = Unirest.patch("https://flows.super.ai/api/sso")
  .header("X-API-Key", "<api-key>")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"attribute_mapping\": {},\n  \"domains\": [\n    \"<string>\"\n  ],\n  \"is_active\": true,\n  \"metadata_url\": \"<string>\",\n  \"metadata_xml\": \"<string>\"}\n")
  .asString();
```

### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://flows.super.ai/api/sso")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"attribute_mapping\": {},\n  \"domains\": [\n    \"<string>\"\n  ],\n  \"is_active\": true,\n  \"metadata_url\": \"<string>\",\n  \"metadata_xml\": \"<string>\"}\n"

response = http.request(request)
puts response.read_body
```

### Response Example

```json
{
  "created_at": "2023-11-07T05:31:56Z",
  "sso_provider_id": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "attribute_mapping": {},
  "domains": [
    "<string>"
  ],
  "is_active": true,
  "metadata_url": "<string>",
  "metadata_xml_hash": "<string>",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
```

## Authorizations

### X-API-Key
- Type: `string`
- Location: `header`
- Required: `true`

Include your API key in the `X-API-Key` header as:
```
X-API-Key: YOUR_API_KEY
```

### Authorization
- Type: `string`
- Location: `header`
- Required: `true`

Include your access token in the `Authorization` header as:
```
Authorization: Bearer YOUR_ACCESS_TOKEN
```

## Body

### attribute_mapping
- Type: `object | null`
- Description: Updated attribute mappings

### domains
- Type: `string[] | null`
- Description: Updated email domains

### is_active
- Type: `boolean | null`
- Description: Whether provider is active

### metadata_url
- Type: `string<uri> | null`
- Description: Updated SAML metadata URL

### metadata_xml
- Type: `string | null`
- Description: Updated SAML metadata XML

## Response

### 200
- Type: `application/json`
- Description: SSO configuration updated successfully

### Response Model

- **created_at** (string<date-time>): Required. Creation timestamp.
- **sso_provider_id** (string): Required. Supabase SSO provider ID.
- **updated_at** (string<date-time>): Required. Last update timestamp.
- **attribute_mapping** (object | null): SAML attribute mappings.
- **domains** (string[] | null): Email domains for this SSO provider.
- **is_active** (boolean): Default: true. Whether the SSO provider is active.
- **metadata_url** (string | null): SAML metadata URL.
- **metadata_xml_hash** (string | null): Hash of SAML metadata XML.
- **organization_id** (string<uuid> | null): Associated organization ID.
